Get average booking duration
curl --request POST \
--url https://api.cal.com/v2/insights/bookings/average-duration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "user",
"timeZone": "America/New_York",
"selectedTeamId": 12,
"columnFilters": [
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]
}
'import requests
url = "https://api.cal.com/v2/insights/bookings/average-duration"
payload = {
"scope": "user",
"timeZone": "America/New_York",
"selectedTeamId": 12,
"columnFilters": [
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'user',
timeZone: 'America/New_York',
selectedTeamId: 12,
columnFilters: [
{
id: 'createdAt',
value: {
type: 'dr',
data: {startDate: '2024-01-01', endDate: '2024-01-31', preset: 'custom'}
}
}
]
})
};
fetch('https://api.cal.com/v2/insights/bookings/average-duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"Date": "Jan 1",
"formattedDateFull": "Jan 1, 2024",
"isToday": false,
"Average": 30
}
]
}Insights
Get average booking duration
Get average booking duration for user, team, or organization insights.
POST
/
v2
/
insights
/
bookings
/
average-duration
Get average booking duration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
user, team, org Example:
"user"
IANA timezone used to group time-series insights
Example:
"America/New_York"
Team ID for team-scoped insights
Example:
12
Data-table column filters (discriminated union by type: ss, ms, t, n, dr). Date range filters use id=startTime or id=createdAt.
Show child attributes
Show child attributes
Example:
[
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]Was this page helpful?
⌘I